DavLockDB /tmp/DAVLock

Alias / /var/www/webdav/

<Directory /var/www/webdav/>
    Dav On

    Options Indexes FollowSymLinks
    AllowOverride None

    AuthType Basic
    AuthName "WebDAV LDAP"
    AuthBasicProvider ldap

    AuthLDAPURL ldaps://ldap.${DOMAIN}:636/ou=users,${LDAP_ROOT}?mail?sub
    AuthLDAPInitialBindPattern (.+) cn=$1,ou=users,${LDAP_ROOT}
    AuthLDAPInitialBindAsUser on
    AuthLDAPCompareAsUser on
    AuthLDAPSearchAsUser on

    #variable présente dans le docker-compose.yml de l'orga 
    Require ldap-user ${LDAP_USERS}

</Directory>